.tile {
  display: block;

  .h1,
  .h2,
  .h3,
  .h4,
  .h5,
  h1,
  h2,
  h3,
  h4,
  h5 {
    margin: 0;
  }

  & + .h1,
  & + .h2,
  & + .h3,
  & + .h4,
  & + .h5,
  & + h1,
  & + h2,
  & + h3,
  & + h4,
  & + h5 {
    margin-top: 1.111111rem;
  }

  .carousel-cell & {
    margin: auto;
  }

  .tile-wrapper {
    display: block;
    width: 100%;
    position: relative;
    z-index: map-get($z-index, 'tilesWrapper');
    padding-bottom: 100%;
    text-transform: none;

    a {
      text-transform: uppercase;
    }
  }

  &.wrapper:hover {
    &,
    .tile-subtitle,
    .tile-title {
      color: inherit;
    }

    .tile-link {
      color: $secondary;
    }
  }

  &.color-white .tile-wrapper:hover {
    &,
    .tile-subtitle,
    .tile-title {
      color: $white;
    }
  }

  .bg-image {
    background-size: cover;
    background-repeat: no-repeat;

    &.tile-wrapper:hover {
      &,
      .tile-link {
        color: $white;
      }

      i {
        color: $secondary;
      }
    }

    .h2 {
      transition: color .12s ease-in-out;
    }

    i {
      font-size: 45px;
    }
  }

  a.tile-wrapper {
    &:hover {
      color: inherit;

      .tile-link {
        color: $secondary;
      }
    }
  }

  a {
    display: block;
  }

  &-16-9 .tile-wrapper,
  &.flip-16-9 {
    padding-bottom: 56.25%;
  }

  &-9-16 .tile-wrapper,
  &.flip-9-16 {
    padding-bottom: 177%;
  }

  &-4-3 .tile-wrapper,
  &.flip-4-3 {
    padding-bottom: 75%;
  }

  &-3-4 .tile-wrapper,
  &.flip-3-4 {
    padding-bottom: 133.33%;
  }

  &.flip-square,
  &.square .tile-wrapper {
    padding-bottom: 100%;
  }

  .huge-module .snippet .slider-item & {
    width: 100%;
  }

  &.content {
    position: absolute;
    left: 1rem;
    right: 1rem;
    top: 1rem;
    bottom: 1rem;
    overflow: hidden;
    z-index: 10;

    &.grid {
      margin: 0 -1rem;
    }

    .col {
      padding: 1.6666rem;
    }
  }

  .tile-title {
    @include fontsectra;
    font-size: 18px;

    a {
      font-size: 18px;
    }
  }

  .tile-subtitle {
    @include fontsectraitalic
  }

  .tile-subtitle,
  .tile-title {
    display: block;
    text-transform: none;
  }

  .tile-link {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    font-weight: bold;
    text-transform: uppercase;
  }

  &.bg-primarydarken .tile-link {
    background: $primarydarken;
  }

  &.note {
    position: relative;
    overflow: hidden;

    &::before {
      transition: .3s ease-out;
      content: '';
      cursor: pointer;
      position: absolute;
      bottom: -1px;
      right: -1px;
      border-width: 0 45px 45px 0;
      border-style: solid;
      border-color: $white $white $secondary $secondary;
      display: block;
      width: 0;
      transform: rotate(90deg);
      z-index: map-get($z-index, 'tilesLace');
    }

    .tile-content a {
      display: block;
      color: inherit;
    }

    &:hover::before {
      border-width: 0 58px 58px 0;
    }

    &.bg-secondary {
      &::before {
        border-color: $white $white transparent transparent;
        z-index: map-get($z-index, 'tilesLacePassive');
      }
    }

    &.passive {
      &::before {
        border-color: $white $white $grey25 $grey25;
        z-index: map-get($z-index, 'tilesLacePassive');
        cursor: default;
      }

      &:hover::before {
        border-width: 0 45px 45px 0;
      }
    }

    &.left {
      &::before {
        right: initial;
        left: 0;
        border-width: 0 45px 45px 0;
        border-color: $primarydarken $primarydarken $white $white;
        transform: rotate(0);
      }

      &:hover::before {
        border-width: 0 50px 50px 0;
      }

      &.bg-secondary {
        &::before {
          border-color: transparent transparent $white $white;
        }
      }
    }
  }

  &.tile-quicklink {
    .h2,
    h2 {
      font-size: $fontsize-l-link;
    }

    a.tile-wrapper {
      .tile-content {
        top: ($gutter-m / 2);
        right: $gutter-xl;
      }

      &:hover {
        color: inherit;

        .tile-content {
          .tile-link {
            color: $white;
          }
        }
      }

      .quicklink-icon {
        @include absolute(top $gutter-sm right 0);
        width: 3rem;
        height: 3rem;

        &::after {
          font-size: $fontsize-l-link;
        }
      }
    }
  }

  &.bg-grey25 {
    display: block;
    font-size: 0;
  }
}

.card-flip {
  position: relative;

  &:nth-child(1) {
    margin-left: -3px;
    margin-right: 1px;
  }

  &:nth-child(2),
  &:nth-child(3) {
    margin-right: 1px;
  }

  &.back,
  &.front {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    backface-visibility: hidden;
    transition: transform .4s linear 0s;
    transform-style: preserve-3d;
    perspective: 1000px;
  }

  &.front {
    transform: rotateY(0deg);
  }

  &.back {
    transform: rotateY(180deg);
  }

  &.effect-click.flipped {
    .card-flip.front {
      transform: rotateY(-180deg);
    }

    .card-flip.back {
      transform: rotateY(0deg);
    }
  }
}

.header-note .tile.content {
  display: flex;
}